# $Revision: 1.63 $, $Date: 2006/03/02 16:24:50 $
#
# Conditional build:
%bcond_without	docs	# don't build documentation (for bootstrap)
#
Summary:	GNUstep Makefile package
Summary(pl):	Pakiet GNUstep Makefile
Name:		gnustep-make
Version:	1.11.2
Release:	2
License:	GPL
Vendor:		The GNUstep Project
Group:		Applications/System
Source0:	ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
# Source0-md5:	87f563d71368ebb670c485ecdf198365
Patch0:		%{name}-destdir.patch
Patch1:		%{name}-no-LD_LIBRARY_PATH.patch
URL:		http://www.gnustep.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
%if %{with docs}
# texi2html >= 1.61 (with -init_file) is included in tetex >= 3
BuildRequires:	tetex >= 1:3.0
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-format-plain
BuildRequires:	texinfo-texi2dvi
%endif
Requires:	gnustep-dirs
Conflicts:	gnustep-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
This package contains the basic tools needed to run GNUstep
applications.

%description -l pl
Ten pakiet zawiera podstawowe narzdzia potrzebne do uruchamiania
aplikacji GNUstep.

%package devel
Summary:	Files needed to develop applications with gnustep-make
Summary(pl):	Pliki potrzebne do tworzenia aplikacji przy uyciu gnustep-make
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description devel
The makefile package is a simplistic, powerful and extensible way to
write makefiles for a GNUstep-based project. It allows the user to
write a GNUstep-based project without having to deal with the complex
issues associated with the configuration and installation of the core
GNUstep libraries. It also allows the user to easily create
cross-compiled binaries.

%description devel -l pl
Pakiet makefile jest prost, wydajn i rozszerzaln metod pisania
makefile'i do projektw opartych o GNUstep. Pozwala uytkownikowi na
tworzenie projektw z pominiciem skomplikowanych szczegw
konfiguracji i instalacji podstawowych bibliotek GNUstep. Pozwala
take atwo tworzy kompilowane skronie binaria.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--disable-flattened \
	--with-library-combo=gnu-gnu-gnu \
	--with-tar=tar

%{__make}

%if %{with docs}
GNUSTEP_MAKEFILES= %{__make} -C Documentation
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	special_prefix=$RPM_BUILD_ROOT

%if %{with docs}
GNUSTEP_MAKEFILES= %{__make} -C Documentation install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System
%endif

install -d $RPM_BUILD_ROOT/etc/profile.d
# Create profile files
cat > $RPM_BUILD_ROOT/etc/profile.d/GNUstep.sh << EOF
#!/bin/sh
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

if [ ! -d \$GNUSTEP_USER_ROOT ]; then
	mkdir \$GNUSTEP_USER_ROOT
	chmod +rwx \$GNUSTEP_USER_ROOT
fi
EOF

cat > $RPM_BUILD_ROOT/etc/profile.d/GNUstep.csh << EOF
#!/bin/csh
source %{_prefix}/System/Library/Makefiles/GNUstep.csh

test -d \$GNUSTEP_USER_ROOT
if (\$status != 0) then
	mkdir \$GNUSTEP_USER_ROOT
	chmod +rwx \$GNUSTEP_USER_ROOT
endif
EOF

# not (yet?) supported by rpm-compress-doc
find $RPM_BUILD_ROOT%{_prefix}/System/Library/Documentation \
	-type f ! -name '*.html' ! -name '*.css' ! -name '*.gz' | xargs gzip -9nf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d %{_prefix}/System/Makefiles -a ! -L %{_prefix}/System/Makefiles ]; then
	[ -d %{_prefix}/System/Library ] || install -d %{_prefix}/System/Library
	mv -f %{_prefix}/System/Makefiles %{_prefix}/System/Library
	ln -sf Library/Makefiles %{_prefix}/System/Makefiles
	echo 'Reinstall gnustep-make and gnustep-make-devel if some files are missing.' >&2
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/profile.d/GNUstep.sh
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/profile.d/GNUstep.csh

%dir %{_sysconfdir}/GNUstep
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/GNUstep/GNUstep.conf

# GNUstep top-level
%dir %{_prefix}
%{_prefix}/Local
%dir %{_prefix}/System

# System domain
%{_prefix}/System/Applications
%dir %{_prefix}/System/Library
%{_prefix}/System/share
%attr(755,root,root) %{_prefix}/System/Tools

# System/Library folder
%{_prefix}/System/Library/ApplicationSupport
%{_prefix}/System/Library/Bundles
%{_prefix}/System/Library/ColorPickers
%{_prefix}/System/Library/Colors
%{_prefix}/System/Library/DocTemplates
%if %{with docs}
%docdir %{_prefix}/System/Library/Documentation
%dir %{_prefix}/System/Library/Documentation
%endif
%{_prefix}/System/Library/Fonts
%{_prefix}/System/Library/Frameworks
%{_prefix}/System/Library/Headers
%{_prefix}/System/Library/Images
%{_prefix}/System/Library/KeyBindings
%{_prefix}/System/Library/Libraries
%dir %{_prefix}/System/Library/Makefiles
%{_prefix}/System/Library/PostScript
%{_prefix}/System/Library/Services
%{_prefix}/System/Library/Sounds

%if %{with docs}
%dir %{_prefix}/System/Library/Documentation/Developer
%dir %{_prefix}/System/Library/Documentation/Developer/Make
%{_prefix}/System/Library/Documentation/Developer/Make/ReleaseNotes
%dir %{_prefix}/System/Library/Documentation/User
%{_prefix}/System/Library/Documentation/User/GNUstep
%dir %{_prefix}/System/Library/Documentation/info
%{_prefix}/System/Library/Documentation/info/*.info*
%dir %{_prefix}/System/Library/Documentation/man
%dir %{_prefix}/System/Library/Documentation/man/man1
%{_prefix}/System/Library/Documentation/man/man1/openapp.1*
%dir %{_prefix}/System/Library/Documentation/man/man7
%{_prefix}/System/Library/Documentation/man/man7/GNUstep.7*
%endif

%attr(755,root,root) %{_prefix}/System/Library/Makefiles/config.*
%{_prefix}/System/Library/Makefiles/tar-exclude-list
%attr(755,root,root) %{_prefix}/System/Library/Makefiles/*.sh
%attr(755,root,root) %{_prefix}/System/Library/Makefiles/*.csh
%dir %{_prefix}/System/Library/Makefiles/%{gscpu}
%dir %{_prefix}/System/Library/Makefiles/%{gscpu}/%{gsos}
%attr(755,root,root) %{_prefix}/System/Library/Makefiles/%{gscpu}/%{gsos}/which_lib

%files devel
%defattr(644,root,root,755)
%if %{with docs}
%docdir %{_prefix}/System/Library/Documentation
%{_prefix}/System/Library/Documentation/Developer/Make/Manual
%endif

%{_prefix}/System/Library/Makefiles/*.make
%{_prefix}/System/Library/Makefiles/*.template
%{_prefix}/System/Library/Makefiles/Instance
%{_prefix}/System/Library/Makefiles/Master
%{_prefix}/System/Library/Makefiles/%{gscpu}/%{gsos}/*.make
%attr(755,root,root) %{_prefix}/System/Library/Makefiles/install-sh
%attr(755,root,root) %{_prefix}/System/Library/Makefiles/mkinstalldirs

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnustep-make.spec,v $
Revision 1.63  2006/03/02 16:24:50  baggins
- behave more

Revision 1.62  2006/03/02 16:22:29  baggins
- behave as no gnustep-make is installed in build-system

Revision 1.61  2006/03/02 16:17:40  baggins
- --disable-importing-config-file

Revision 1.60  2006/03/02 16:12:50  baggins
- nah, BC is not a good solution

Revision 1.59  2006/03/02 16:10:28  baggins
- buildconflicts gnustep-make-devel for Doc build

Revision 1.58  2006/03/02 15:34:23  baggins
- release 2
- don't source GNustep.(c)sh twice, it's really not neccessary
- don't play stupid games with LD_LIBRARY_PATH, all that's needed is in ld.so.conf.d/

Revision 1.57  2006/01/15 21:57:17  qboosh
- updated to 1.11.2, added destdir patch
- dropped System/Makefiles symlink, update your makefiles instead
- now buildsystem requires only GNUSTEP_MAKEFILES (and GNUSTEP_TARGET_DIR)
  export instead of importing whole GNUstep.sh

Revision 1.56  2005/10/28 04:12:08  aredridel
- make R:tetex bcond with docs

Revision 1.55  2005/10/22 11:11:21  qboosh
- updated to 1.11.1
- BR: tetex 3 (for texi2html >= 1.61 supporting -init_file)

Revision 1.54  2005/09/07 18:15:43  czarny
- ensured proper build

Revision 1.53  2005/09/07 17:38:19  czarny
- added symlink needed by libFoundation & friends
- NFY gnu-fd-nil support

Revision 1.52  2005/07/26 22:05:15  qboosh
- updated to 1.11.0

Revision 1.51  2005/05/21 17:20:30  speedy
- release 6
- fixed profile.d/GNUstep.{sh,csh} (build before STBR?)

Revision 1.50  2005/01/12 00:06:34  roman
- corrected paths in /etc/profile.d/GNUstep.{sh,csh}
- release 5
- STBR

Revision 1.49  2005/01/12 00:05:47  roman
- corrected paths in /etc/profile.d/GNUstep.sh

Revision 1.48  2004/11/12 19:14:21  havner
- R: gnustep-dirs
- rel 4

Revision 1.47  2004/10/22 07:11:12  ankry
- proper variable handling, rel. 3

Revision 1.46  2004/10/17 22:11:46  ankry
- spaces -> tabs

Revision 1.45  2004/10/17 12:17:40  speedy
- make directories on login ($GNUSTEP_USER_ROOT)

Revision 1.44  2004/10/17 11:54:48  speedy
- without docs bcond (building docs requires gnustep-make-devel)

Revision 1.43  2004/10/17 11:28:36  speedy
- in GNUstep.csh: fix path, there is no %%{prefix}/GNUstep (double GNUstep in path)
- release 2.

Revision 1.42  2004/09/30 21:18:31  aredridel
- add missing files
- use GNU tar always

Revision 1.41  2004/09/30 18:11:47  aredridel
- up to 0.10.0

Revision 1.40  2004/06/12 17:10:13  aredridel
- up to 1.9.2
- removed Network branch, not installed by default now

Revision 1.39  2004/03/04 20:36:20  qboosh
- fixed gscpu for ppc, release 4

Revision 1.38  2004/03/03 07:40:40  qboosh
- changed lib to %%{_lib} in prefix, strict internal deps, release 3

Revision 1.37  2004/03/03 07:33:52  qboosh
- define gscpu for amd64

Revision 1.36  2004/03/03 07:30:26  qboosh
- refresh config.* for amd64, release 2

Revision 1.35  2004/03/02 05:16:52  aredridel
- up to 1.9.1

Revision 1.34  2003/12/27 01:17:52  aredridel
- up to 1.9.0

Revision 1.33  2003/11/23 11:52:38  yoshi
- Removed unnecessary ^#BuildRequires.

Revision 1.31  2003/09/30 14:58:54  aredridel
- updated to 1.8.0 (Second released 1.8.0 -- first was broken)

Revision 1.30  2003/09/16 15:27:55  aredridel
- updated to 1.7.4

Revision 1.29  2003/08/29 16:08:38  qboosh
- added openapp(1) manual

Revision 1.28  2003/08/25 00:57:05  aredridel
- updated to 1.7.3

Revision 1.27  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrony/

Revision 1.26  2003/07/26 01:06:15  qboosh
- compress docs (rpm doesn't support GNUstep Documentation dir yet)
- added missing GNUstep(7) man page

Revision 1.25  2003/07/25 21:48:32  aredridel
fixed changelog syntax error

Revision 1.24  2003/07/25 18:53:55  aredridel
- fixed md5

Revision 1.23  2003/07/25 18:50:40  aredridel
- Updated to 1.7.2
- Removed bcond doc

Revision 1.21  2003/07/19 23:54:22  qboosh
- up to 1.7.1 (warning: GNUstep filesystem hierarchy has changed)
- removed obsolete acfix patch
- moved devel docs to -devel

Revision 1.20  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:48:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/14 20:41:59  qboosh
- updated to 1.6.0, added acfix patch (stupid typo in configure.ac)

Revision 1.17  2003/03/02 21:06:14  qwark
- new version 0.8.4, removed old patches, it's ready for tests

Revision 1.16  2002/12/29 13:45:27  qboosh
- updated Vendor, release 1

Revision 1.15  2002/12/28 20:55:43  qboosh
- not only x86 now
- removed nonsense - this project doesn't use am/lt/gt
- added docs

Revision 1.14  2002/12/28 16:24:45  qboosh
- changed _prefix to some FHS-compliant (or maybe it should be /opt/GNUStep?)
- fixed missing dirs, some cleanups

Revision 1.13  2002/12/23 07:56:56  qwark
- update to 1.5.1 version add some "auto.." building. Changes need to be reviewed by someone else :)

Revision 1.12  2002/04/25 16:27:56  arturs
fixed a small typo

Revision 1.11  2002/02/23 02:17:47  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/13 15:44:13  ankry
- updated to version 1.0.1
- fixed build, fixed paths
- commented out "--with_library-combo": where and how should the %%libcombo
  macro be defined ?

Revision 1.7  2001/09/28 08:57:56  qboosh
- pl translations; note: there is 1.0.1 on ftp

Revision 1.6  2001/05/02 16:29:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/20 13:37:50  kloczek
- spec adapterized and partialy rewrited.

* Sat Sep 18 1999 Christopher Seawood <cls@seawood.org>
- Version 0.6.0
- Added nodupsh patch

* Sat Aug 07 1999 Christopher Seawood <cls@seawood.org>
- Updated to cvs dawn_6 branch

* Fri Jun 25 1999 Christopher Seawood <cls@seawood.org>
- Split into separate rpm from gnustep-core
- Build from cvs snapshot
- Added services patch
